--[[
	MetaGuildDebug.lua
		All Functions for displaying and updating the Debug Tab
--]]
local MG = LibStub('AceAddon-3.0'):GetAddon('MetaGuild')
local L = LibStub("AceLocale-3.0"):GetLocale("MetaGuild");
local self = MG
local initTimeCode = self:GetCurrentTimeCode()

function MetaGuildDebugFrame_OnLoad(self)
	return
end

function MetaGuildDebugFrame_OnEvent(self, event, ...)
--	if ( not self:IsShown() ) then
--		return;
--	end
end

function MetaGuildDebugFrame_OnShow(self)
	return
end


function MetaGuildTestUpdate()
	--self:Print("Updating")
	self:SendUpdate()
end

function MetaGuildTestJoin()
	--self:Print("Joining")
	self:SendJoin()
end

function MetaGuildTestTime()
	local diffDate = self:TimeSinceTimeCode(initTimeCode)
	self:Print("Time: "..self:Date2String(diffDate))
end

function MetaGuildTestFormat()

--Expression Helpers
--local joinstring = format(self:CreateMsgTemplate(7), "JOIN", "(.+)", "(%a+)", "(.+)", "(%d%d?)", "(.+)", "(.*)");
--local first, last, main, class, classLocal, level, zone, rank = string.find(msg, joinstring);


--(%a+)   Find all letters
--(.+)    Find everything
--(%d%d?) Find double digit numbers
--(%d+)   Find all numbers


	local msg = "Join Visceris DRUID 1234567"
	local pattern = {[0]="(.+)", [1]="(%a+)", [2]="(%d%d%d)", [3]="(%l+)", [4]="(%d+)"}
	local first, last, result = string.find(msg,pattern[4])
	if first ~= nil and result ~= nil then
		self:Print("Format Result: "..result)
	else
		self:Print("Format Result: nil")
	end
end
