local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = LibStub("AceLocale-3.0"):NewLocale("MetaGuild", "enUS", true, debug)

L["AchievementEarned"] = "%s earned achievement %s"
L["AfkMessage"] = "You are now Away:"
L["ChatColorChanged"] = "Changed the chat color."
L["DndMessage"] = "You are now Busy:"
L["MainChanged"] = "This is your new main character."
L["Motd"] = "%s (Set by %s on %s)"
L["NewMotd"] = "%s sets Motd to %s"
L["RemoveAfkMessage"] = "You are no longer Away."
L["RemoveDndMessage"] = "You are no longer marked Busy."
L["ConfigFrame/Channel"] = "Chat Channel"
L["ConfigFrame/ChannelDesc"] = "The chat channel which will be used"
L["ConfigFrame/ChatColor"] = "Chat color"
L["ConfigFrame/ChatColorDesc"] = "The color which will be used to display incomming messages"
L["ConfigFrame/ChatFrame"] = "Chat Frame"
L["ConfigFrame/ChatFrameDesc"] = "The chat frame where incomming messages will be shown"
L["ConfigFrame/ChatTag"] = "Chat tag"
L["ConfigFrame/ChatTagDesc"] = "This tag will be shown before every chat and system message (only works if standard chat not enabled)."
L["ConfigFrame/Enable"] = "Enable"
L["ConfigFrame/EnableDesc"] = "Enables / disables the addon"
L["ConfigFrame/MainChar"] = "Main Character"
L["ConfigFrame/MainCharDesc"] = "Makes this character your main character"
L["ConfigFrame/Motd"] = "Message of the day"
L["ConfigFrame/MotdDesc"] = "Sets the Message of the day, which is shown for everyone on joining"
L["ConfigFrame/Password"] = "Channel Password"
L["ConfigFrame/PasswordDesc"] = "The password used to join the channel."

L["ConfigFrame/Scale"] = "Scale"
L["ConfigFrame/ScaleDesc"] = "Changes the scale of the player list."
L["ConfigFrame/ShowAchiev"] = "Show Achievements"
L["ConfigFrame/ShowAchievDesc"] = "Show/Hide when other player earn Achievements"
L["ConfigFrame/ShowIcon"] = "Show icon"
L["ConfigFrame/ShowIconDesc"] = "Show/Hide minimap icon"
L["ConfigFrame/ShowPlayerlist"] = "Show player list"
L["ConfigFrame/ShowPlayerlistDesc"] = "Opens the player list"
L["ConfigFrame/SlashCmd"] = "Slash command"
L["ConfigFrame/SlashCmdDesc"] = "The slash command"
L["ConfigFrame/TradeskillPerChar"] = "Professions only for actual character"
L["ConfigFrame/TradeskillPerCharDesc"] = "If checked, other player can only query the professions of the character which is online"
L["ConfigFrame/UseStandardChat"] = "Use standard chat"
L["ConfigFrame/UseStandardChatDesc"] = "If activated, the normal blizzard chat mechanism will be used to allow the use of chat modification addons."
L["OnlineList/PlayerOnline"] = "%d player online ( Page %d of %d )"
L["OnlineList/Professions"] = "Professions"

L["Usage"] = [[
MetaGuild by Visceris-Bloodhoof

/MetaGuild -- show or hide the Gear List UI
	-Invite
]]


L["Accept"] = "Accept"
L["Cancel"] = "Cancel"



L["Main/MembersOnlineText"] = "Members Online:"
L["Main/MembersOnlineCount"] = "%d/%d"
L["Main/GuildName"] = "BloodhoofPvP"
L["Main/Tab_Guild"] = "Guild"
L["Main/Tab_Roster"] = "Roster"
L["Main/Tab_News"] = "News"
L["Main/Tab_Info"] = "Info"
L["Main/Tab_Debug"] = "Debug"

L["Roster/ViewLabel"] = "View:"
L["Roster/Level"] = "Lvl"
L["Roster/Class"] = "Cls"
L["Roster/Name"] = "Name"
L["Roster/Zone"] = "Zone"

L["Info/Add_Member"] = "Add Member"
L["Info/Add_Member_Title"] = "Add Guild Member:"
L["Info/View_Log"] = "View Log"
L["Info/Guild_Control"] = "Guild Control"
L["Info/AcceptGuildInviteText"] = "%s has invited you to join %s. Would you like to accept?"


L["ConfigFrame/EnableLogDesc"] = "Enables / disables the addon's log"
L["ConfigFrame/EnableLog"] = "Enable Log"
L["ConfigFrame/Wipe"] = "Wipe Database"
L["ConfigFrame/WipeDesc"] = "Clears the offline membership database. Please use Caution."

L["ConfigFrame/BasePassword"] = "Base Channel Password"
L["ConfigFrame/BasePasswordDesc"] = "The password used to join the MetaGuild base channel."
L["ConfigFrame/BaseChannel"] = "Base Channel"
L["ConfigFrame/BaseChannelDesc"] = "The chat channel which will be used for invites"
L["ConfigFrame/GuildPassword"] = "Guild Channel Password"
L["ConfigFrame/GuildPasswordDesc"] = "The password used to join the guild channel."
L["ConfigFrame/GuildChannel"] = "Guild Channel"
L["ConfigFrame/GuildChannelDesc"] = "The chat channel which will be used for Guild Communication"
L["ConfigFrame/GuildName"] = "Guild Name"
L["ConfigFrame/GuildNameDesc"] = "The name of your guild"

L["ConfigFrame/Rank"] = "Rank"
L["ConfigFrame/RankDesc"] = "Your Rank within the Guild"

L["PlayerInfoFrame/Level"] = "Level"
L["PlayerInfoFrame/Zone:"] = "Zone:"
L["PlayerInfoFrame/Rank:"] = "Rank:"
L["PlayerInfoFrame/LastOnline:"] = "Last Online:"
L["PlayerInfoFrame/Note:"] = "Note:"
L["PlayerInfoFrame/OfficerNote:"] = "Officer's Note:"
L["PlayerInfoFrame/Remove"] = "Remove"
L["PlayerInfoFrame/GroupInvite"] = "Group Invite"
L["PlayerInfoFrame/RemoveWarning"] = "Are you sure you want to remove %s, and all associated characters from the guild?"

L["Time/Second"] = "Second"
L["Time/Seconds"] = "Seconds"
L["Time/Minute"] = "Minute"
L["Time/Minutes"] = "Minutes"
L["Time/Hour"] = "Hour"
L["Time/Hours"] = "Hours"
L["Time/Day"] = "Day"
L["Time/Days"] = "Days"
L["Time/Month"] = "Month"
L["Time/Months"] = "Months"
L["Time/Year"] = "Year"
L["Time/Years"] = "Years"

L["DEATHKNIGHT"] = "Death Knight"
L["DRUID"] = "Druid"
L["HUNTER"] = "Hunter"
L["MAGE"] = "Mage"
L["PRIEST"] = "Priest"
L["ROGUE"] = "Rogue"
L["SHAMAN"] = "Shaman"
L["WARLOCK"] = "Warlock"
L["WARRIOR"] = "Warrior"

L["Recruit"] = "Recruit"
L["Member"] = "Member"
L["Officer"] = "Officer"
L["GuildMaster"] = "Guild Master"